<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8" />
		<style type="text/css">
			svg.railroad-diagram {
				background-color: hsl(30, 20%, 95%);
			}
			svg.railroad-diagram path {
				stroke-width: 3;
				stroke: black;
				fill: rgba(0, 0, 0, 0);
			}
			svg.railroad-diagram text {
				font: bold 14px monospace;
				text-anchor: middle;
			}
			svg.railroad-diagram text.label {
				text-anchor: start;
			}
			svg.railroad-diagram text.comment {
				font: italic 12px monospace;
			}
			svg.railroad-diagram rect {
				stroke-width: 3;
				stroke: black;
				fill: hsl(120, 100%, 90%);
			}
		</style>
	</head>
	<body>
		<h1><code>File</code></h1>
		<div>
			<svg class="railroad-diagram" width="521" height="62" viewBox="0 0 521 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M480 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M460 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22"></rect>
								<text x="120" y="35">FileHeader</text>
							</g>
							<path d="M170 31h10"></path>
							<path d="M180 31h10"></path>
							<g>
								<path d="M190 31h0"></path>
								<path d="M282 31h0"></path>
								<rect x="190" y="20" width="92" height="22"></rect>
								<text x="236" y="35">next&#95;line</text>
							</g>
							<path d="M282 31h10"></path>
							<path d="M292 31h10"></path>
							<g>
								<path d="M302 31h0"></path>
								<path d="M394 31h0"></path>
								<rect x="302" y="20" width="92" height="22"></rect>
								<text x="348" y="35">ColorList</text>
							</g>
							<path d="M394 31h10"></path>
							<path d="M404 31h10"></path>
							<g>
								<path d="M414 31h0"></path>
								<path d="M450 31h0"></path>
								<rect x="414" y="20" width="36" height="22"></rect>
								<text x="432" y="35">&#95;n</text>
							</g>
							<path d="M450 31h10"></path>
						</g>
						<path d="M460 31h20"></path>
					</g>
					<path d="M 480 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>FileHeader</code></h1>
		<div>
			<svg class="railroad-diagram" width="721" height="62" viewBox="0 0 721 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M680 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M660 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M178 31h0"></path>
								<rect x="70" y="20" width="108" height="22" rx="10" ry="10"></rect>
								<text x="124" y="35">file&#95;format</text>
							</g>
							<path d="M178 31h10"></path>
							<path d="M188 31h10"></path>
							<g>
								<path d="M198 31h0"></path>
								<path d="M290 31h0"></path>
								<rect x="198" y="20" width="92" height="22"></rect>
								<text x="244" y="35">next&#95;line</text>
							</g>
							<path d="M290 31h10"></path>
							<path d="M300 31h10"></path>
							<g>
								<path d="M310 31h0"></path>
								<path d="M418 31h0"></path>
								<rect x="310" y="20" width="108" height="22" rx="10" ry="10"></rect>
								<text x="364" y="35">version&#95;num</text>
							</g>
							<path d="M418 31h10"></path>
							<path d="M428 31h10"></path>
							<g>
								<path d="M438 31h0"></path>
								<path d="M530 31h0"></path>
								<rect x="438" y="20" width="92" height="22"></rect>
								<text x="484" y="35">next&#95;line</text>
							</g>
							<path d="M530 31h10"></path>
							<path d="M540 31h10"></path>
							<g>
								<path d="M550 31h0"></path>
								<path d="M650 31h0"></path>
								<rect x="550" y="20" width="100" height="22"></rect>
								<text x="600" y="35">PosInteger</text>
							</g>
							<path d="M650 31h10"></path>
						</g>
						<path d="M660 31h20"></path>
					</g>
					<path d="M 680 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>ColorList</code></h1>
		<div>
			<svg class="railroad-diagram" width="241" height="62" viewBox="0 0 241 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M200 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M180 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22"></rect>
								<text x="120" y="35">&#95;ColorList</text>
							</g>
							<path d="M170 31h10"></path>
						</g>
						<path d="M180 31h20"></path>
					</g>
					<path d="M 200 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>_ColorList</code></h1>
		<div>
			<svg class="railroad-diagram" width="457" height="92" viewBox="0 0 457 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M416 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h116"></path>
							<path d="M280 31h116"></path>
							<path d="M176 31h10"></path>
							<g>
								<path d="M186 31h0"></path>
								<path d="M270 31h0"></path>
								<rect x="186" y="20" width="84" height="22"></rect>
								<text x="228" y="35">RGBTuple</text>
							</g>
							<path d="M270 31h10"></path>
						</g>
						<path d="M396 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M396 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M170 61h0"></path>
								<rect x="70" y="50" width="100" height="22"></rect>
								<text x="120" y="65">&#95;ColorList</text>
							</g>
							<path d="M170 61h10"></path>
							<path d="M180 61h10"></path>
							<g>
								<path d="M190 61h0"></path>
								<path d="M282 61h0"></path>
								<rect x="190" y="50" width="92" height="22"></rect>
								<text x="236" y="65">next&#95;line</text>
							</g>
							<path d="M282 61h10"></path>
							<path d="M292 61h10"></path>
							<g>
								<path d="M302 61h0"></path>
								<path d="M386 61h0"></path>
								<rect x="302" y="50" width="84" height="22"></rect>
								<text x="344" y="65">RGBTuple</text>
							</g>
							<path d="M386 61h10"></path>
						</g>
						<path d="M396 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 416 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>RGBTuple</code></h1>
		<div>
			<svg class="railroad-diagram" width="593" height="62" viewBox="0 0 593 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M552 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M532 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22"></rect>
								<text x="120" y="35">PosInteger</text>
							</g>
							<path d="M170 31h10"></path>
							<path d="M180 31h10"></path>
							<g>
								<path d="M190 31h0"></path>
								<path d="M226 31h0"></path>
								<rect x="190" y="20" width="36" height="22"></rect>
								<text x="208" y="35">&#95;&#95;</text>
							</g>
							<path d="M226 31h10"></path>
							<path d="M236 31h10"></path>
							<g>
								<path d="M246 31h0"></path>
								<path d="M346 31h0"></path>
								<rect x="246" y="20" width="100" height="22"></rect>
								<text x="296" y="35">PosInteger</text>
							</g>
							<path d="M346 31h10"></path>
							<path d="M356 31h10"></path>
							<g>
								<path d="M366 31h0"></path>
								<path d="M402 31h0"></path>
								<rect x="366" y="20" width="36" height="22"></rect>
								<text x="384" y="35">&#95;&#95;</text>
							</g>
							<path d="M402 31h10"></path>
							<path d="M412 31h10"></path>
							<g>
								<path d="M422 31h0"></path>
								<path d="M522 31h0"></path>
								<rect x="422" y="20" width="100" height="22"></rect>
								<text x="472" y="35">PosInteger</text>
							</g>
							<path d="M522 31h10"></path>
						</g>
						<path d="M532 31h20"></path>
					</g>
					<path d="M 552 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>PosInteger</code></h1>
		<div>
			<svg class="railroad-diagram" width="249" height="62" viewBox="0 0 249 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M208 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M188 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M178 31h0"></path>
								<rect x="70" y="20" width="108" height="22" rx="10" ry="10"></rect>
								<text x="124" y="35">pos&#95;integer</text>
							</g>
							<path d="M178 31h10"></path>
						</g>
						<path d="M188 31h20"></path>
					</g>
					<path d="M 208 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>next_line</code></h1>
		<div>
			<svg class="railroad-diagram" width="273" height="62" viewBox="0 0 273 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M232 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M212 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
							<path d="M108 31h10"></path>
							<g>
								<path d="M118 31h0"></path>
								<path d="M154 31h0"></path>
								<rect x="118" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="136" y="35">nl</text>
							</g>
							<path d="M154 31h10"></path>
							<path d="M164 31h10"></path>
							<g>
								<path d="M174 31h0"></path>
								<path d="M202 31h0"></path>
								<rect x="174" y="20" width="28" height="22"></rect>
								<text x="188" y="35">&#95;</text>
							</g>
							<path d="M202 31h10"></path>
						</g>
						<path d="M212 31h20"></path>
					</g>
					<path d="M 232 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>next_present_line</code></h1>
		<div>
			<svg class="railroad-diagram" width="281" height="62" viewBox="0 0 281 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M240 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M220 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
							<path d="M108 31h10"></path>
							<g>
								<path d="M118 31h0"></path>
								<path d="M154 31h0"></path>
								<rect x="118" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="136" y="35">nl</text>
							</g>
							<path d="M154 31h10"></path>
							<path d="M164 31h10"></path>
							<g>
								<path d="M174 31h0"></path>
								<path d="M210 31h0"></path>
								<rect x="174" y="20" width="36" height="22"></rect>
								<text x="192" y="35">&#95;n</text>
							</g>
							<path d="M210 31h10"></path>
						</g>
						<path d="M220 31h20"></path>
					</g>
					<path d="M 240 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>multi_line_ws</code></h1>
		<div>
			<svg class="railroad-diagram" width="177" height="92" viewBox="0 0 177 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M136 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M116 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M106 31h0"></path>
								<rect x="70" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="88" y="35">ws</text>
							</g>
							<path d="M106 31h10"></path>
						</g>
						<path d="M116 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M116 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M106 61h0"></path>
								<rect x="70" y="50" width="36" height="22" rx="10" ry="10"></rect>
								<text x="88" y="65">nl</text>
							</g>
							<path d="M106 61h10"></path>
						</g>
						<path d="M116 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 136 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>_</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="81" viewBox="0 0 217 81">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M176 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M156 41h0"></path>
							<g>
								<path d="M60 41h0"></path>
								<path d="M156 41h0"></path>
								<path d="M60 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M80 21h56"></path>
								</g>
								<path d="M136 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M60 41h20"></path>
								<g>
									<path d="M80 41h0"></path>
									<path d="M136 41h0"></path>
									<path d="M80 41h10"></path>
									<g>
										<path d="M90 41h0"></path>
										<path d="M126 41h0"></path>
										<rect x="90" y="30" width="36" height="22" rx="10" ry="10"></rect>
										<text x="108" y="45">ws</text>
									</g>
									<path d="M126 41h10"></path>
									<path d="M90 41a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
									<g>
										<path d="M90 61h36"></path>
									</g>
									<path d="M126 61a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
								</g>
								<path d="M136 41h20"></path>
							</g>
						</g>
						<path d="M156 41h20"></path>
					</g>
					<path d="M 176 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>__</code></h1>
		<div>
			<svg class="railroad-diagram" width="197" height="71" viewBox="0 0 197 71">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M156 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M136 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M126 31h0"></path>
								<path d="M70 31h10"></path>
								<g>
									<path d="M80 31h0"></path>
									<path d="M116 31h0"></path>
									<rect x="80" y="20" width="36" height="22" rx="10" ry="10"></rect>
									<text x="98" y="35">ws</text>
								</g>
								<path d="M116 31h10"></path>
								<path d="M80 31a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
								<g>
									<path d="M80 51h36"></path>
								</g>
								<path d="M116 51a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
							</g>
							<path d="M126 31h10"></path>
						</g>
						<path d="M136 31h20"></path>
					</g>
					<path d="M 156 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>_n</code></h1>
		<div>
			<svg class="railroad-diagram" width="305" height="81" viewBox="0 0 305 81">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M264 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M244 41h0"></path>
							<g>
								<path d="M60 41h0"></path>
								<path d="M244 41h0"></path>
								<path d="M60 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M80 21h144"></path>
								</g>
								<path d="M224 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M60 41h20"></path>
								<g>
									<path d="M80 41h0"></path>
									<path d="M224 41h0"></path>
									<path d="M80 41h10"></path>
									<g>
										<path d="M90 41h0"></path>
										<path d="M214 41h0"></path>
										<rect x="90" y="30" width="124" height="22"></rect>
										<text x="152" y="45">multi&#95;line&#95;ws</text>
									</g>
									<path d="M214 41h10"></path>
									<path d="M90 41a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
									<g>
										<path d="M90 61h124"></path>
									</g>
									<path d="M214 61a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
								</g>
								<path d="M224 41h20"></path>
							</g>
						</g>
						<path d="M244 41h20"></path>
					</g>
					<path d="M 264 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>__n</code></h1>
		<div>
			<svg class="railroad-diagram" width="285" height="71" viewBox="0 0 285 71">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M244 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M224 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M214 31h0"></path>
								<path d="M70 31h10"></path>
								<g>
									<path d="M80 31h0"></path>
									<path d="M204 31h0"></path>
									<rect x="80" y="20" width="124" height="22"></rect>
									<text x="142" y="35">multi&#95;line&#95;ws</text>
								</g>
								<path d="M204 31h10"></path>
								<path d="M80 31a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
								<g>
									<path d="M80 51h124"></path>
								</g>
								<path d="M204 51a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
							</g>
							<path d="M214 31h10"></path>
						</g>
						<path d="M224 31h20"></path>
					</g>
					<path d="M 244 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
	</body>
</html>
